curl --request GET \
--url https://api.nebius.cloud/dns/v1/zones/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/dns/v1/zones/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/dns/v1/zones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"domainName": "<string>",
"soaSpec": {
"negativeTtl": "<string>"
},
"vpc": {
"primaryNetworkId": "<string>"
}
},
"status": {
"reconciling": true,
"recordCount": "<string>"
}
}Get
Gets the DNS zone with the specified ID
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
Zone ID
Query Parameters
Optional: expected zone version (metadata.resource_version)
- If specified, the requested version will be returned if possible (if the version has changed, you will get a
FAILED_PRECONDITIONerror) - If not specified or set to
0, the latest zone version will be returned
Response
A successful response.
API Resource: DNS zone, a container for DNS data.
Each DNS zone starts at a particular domain within the hierarchical DNS namespace tree,
e.g., example.com., and is also responsible for its subdomains (e.g., sales.example.com.)
unless there are explicit DNS zones defined for them.
DNS zones contain Resource Records (RRs), which are individual information entries about the domain(s),
e.g., a domain's IP address.
Each Resource Record is represented in this API by the Record API Resource which is managed by the RecordService.
See the graphical explanation of DNS zones and Resource Records on Wikipedia
Was this page helpful?